<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Transfection2018/RawData/convertForelich2018Data.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_947b0bade59f2ec1a3d6dcc5254e948b.html">Transfection2018</a></li><li class="navelem"><a class="el" href="../../dir_69d69c4d8072abf063698672a9d8b6bc.html">RawData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">convertForelich2018Data.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d84/convert_forelich2018_data_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;%% Convert data from Froelich et al to format</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;%  usable by me and monolix:</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno"><a class="line" href="../../dc/d84/convert_forelich2018_data_8m.html#a63e212eac486a41778fc53ec5ac9ab06">    4</a></span>&#160;<span class="keyword">function</span> [data_SCTL] = <a class="code" href="../../dc/d84/convert_forelich2018_data_8m.html#a63e212eac486a41778fc53ec5ac9ab06">convertForelich2018Data</a>(expid,<span class="keywordtype">id</span>)</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;% Col names: Time, Y, CellID, YID</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;data_SCTL=[];</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keywordflow">for</span> i = 1:size(expid.Y,3)</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    tmp_data=cat(2,expid.time,expid.Y(:,:,i),...</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;        repmat(i,size(expid.time)),...</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        repmat(1,size(expid.time)),...</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;        repmat(<span class="keywordtype">id</span>,size(expid.time)));</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    data_SCTL=cat(1,data_SCTL,tmp_data);</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;end</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;   data_SCTL=array2table(data_SCTL,&#39;VariableNames&#39;,... </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;       {<span class="stringliteral">&#39;Time&#39;</span>,<span class="charliteral">&#39;Y&#39;</span>,<span class="stringliteral">&#39;TrackID&#39;</span>,<span class="stringliteral">&#39;YID&#39;</span>,<span class="stringliteral">&#39;PopulationID&#39;</span>}); </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;   data_SCTL.AMT(data_SCTL.Time==0)=1;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;   data_SCTL.AMT=repmat(0,length(data_SCTL.Time),1);</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;   data_SCTL.AMT(data_SCTL.Time==0)=1;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aconvert_forelich2018_data_8m_html_a63e212eac486a41778fc53ec5ac9ab06"><div class="ttname"><a href="../../dc/d84/convert_forelich2018_data_8m.html#a63e212eac486a41778fc53ec5ac9ab06">convertForelich2018Data</a></div><div class="ttdeci">function convertForelich2018Data(in expid, in id)</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
